Bug 198349 - Throttling states for Pentium 4 not fully operational
Throttling states for Pentium 4 not fully operational
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-11 06:06 EDT by Ronny Fischer
Modified: 2015-01-04 17:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-25 23:00:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ronny Fischer 2006-07-11 06:06:55 EDT
Description of problem:

The module "p4-clockmode" provides only two different throttling speed states 
(100% and 87%) so that the Pentium 4 is nearly always at high speed. The same 
module at FC4 provided all eight different throttling states.

Version-Release number of selected component (if applicable):

Fedora Core 5, Kernel 2.6.17-1-2145_FC5, Intel 875PZLK Mainboard with latest 
BIOS, Pentium 4 2.6 GHz, HT disabled (with HT enabled it's the same)

How reproducible:

Always

Steps to Reproduce:
1. Install FC5 on a Pentium 4 system
2. Make the module "p4-clockmod" work
3.
  
Actual results:

Only two out of eight throttling states work

Expected results:

the module should provide more throttling states

Additional info:

Everything else of power-saving features works correct (suspend, standby)

"cat /proc/acpi/processor/CPU1/throttling" says

state count:             8
active state:            T0
states:
   *T0:                  00%
    T1:                  12%
    T2:                  25%
    T3:                  37%
    T4:                  50%
    T5:                  62%
    T6:                  75%
    T7:                  87%

so that more states possible.
Comment 1 Dave Jones 2006-07-25 23:00:49 EDT
Some steppings of the P4 have an errata which makes it risky to use the lower
states. Later kernels respect this.

Note You need to log in before you can comment on or make changes to this bug.